コンテンツへスキップ

Workflow Utilities Impulse Response

統合

モデルID workflow-utilities/impulse-response
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/impulse-response?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "impulse_response_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

1 回の実行につき最大 $1.80 実際の使用量に応じて課金され、残額は返金されます このページで実行

APIキーを取得
Utility · 音声

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 audio_url
ファイルをドロップ、または

処理する主要な音声ファイルのURLです。

•必須

リバーブまたはエフェクトのプロファイルを定義するWAVインパルス応答ファイルのURLです。

詳細設定 output_bitrate · dry_level · wet_level · loudness_i · loudness_lra · loudness_tp
output_bitrate デフォルト 192k

生成される音声のビットレートです。

デフォルト 0.7

ミックス内の元の(ドライ)信号レベル。0.0~1.0です。

デフォルト 0.3

ミックス内の処理済み(ウェット)信号レベル。0.0~1.0です。

デフォルト -18

統合ラウドネスの目標値。LUFSで測定し、一般的な値は-24~-14です。

デフォルト 8

目標ラウドネス範囲。LUで測定し、一般的な値は5~15です。

デフォルト -1.5

真のピーク上限。dBTPで測定し、一般的な値は-2~-1です。

POST /run/workflow-utilities/impulse-response?wait=20 見積もり → $1.80
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/impulse-response?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "impulse_response_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Workflow Utilities Impulse Responseについて

音声ファイルにインパルス応答 WAV を畳み込み、リバーブやその他のルーム/エフェクトプロファイルを追加します。`dry_level` と `wet_level`(0~1)でミックスを設定します。ラウドネスの目標値は `loudness_i`、`loudness_lra`、`loudness_tp` で調整できます。出力ビットレートは 128k、192k、256k、320k のいずれかです。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
audio_url必須 audio
型url · audio
処理する主要な音声ファイルのURLです。
impulse_response_url必須
型string
リバーブまたはエフェクトのプロファイルを定義するWAVインパルス応答ファイルのURLです。
dry_level任意
型number
デフォルト0.7
0 – 1
ミックス内の元の(ドライ)信号レベル。0.0~1.0です。
wet_level任意
型number
デフォルト0.3
0 – 1
ミックス内の処理済み(ウェット)信号レベル。0.0~1.0です。
loudness_i任意
型number
デフォルト-18
-70 – 0
統合ラウドネスの目標値。LUFSで測定し、一般的な値は-24~-14です。
loudness_lra任意
型number
デフォルト8
1 – 50
目標ラウドネス範囲。LUで測定し、一般的な値は5~15です。
loudness_tp任意
型number
デフォルト-1.5
-10 – 0
真のピーク上限。dBTPで測定し、一般的な値は-2~-1です。
output_bitrate任意
型enum
デフォルト192k
128k192k256k320k
生成される音声のビットレートです。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/impulse-response",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1800,
    "usd": "1.80",
    "charged": 1800,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "impulse_response_url": "https://example.com/your-file.bin"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
audio
object {url, content_type, file_name, file_size}リバーブ処理後の音声ファイルです。

その他のモデル: 音声

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/workflow-utilities/impulse-response.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt